For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
          • V3
          • V2
              • GETList Customers
              • POSTCreate Customer
              • DELDelete Customers
              • GETGet Customer
              • PUTUpdate Customer
              • DELDelete Customer
              • GETGet Count of Customers
                • GETList Customer Groups
                • POSTCreate Customer Group
                • GETGet Customer Group
                • PUTUpdate Customer Group
                • DELDelete Customer Group
                • GETGet Count of Customer Groups
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementCustomersV2Customer Groups

Delete Customer Group

DELETE
https://api.bigcommerce.com/stores/:store_hash/v2/customer_groups/:customer_group_id
DELETE
/stores/:store_hash/v2/customer_groups/:customer_group_id
$curl -X DELETE https://api.bigcommerce.com/stores/store_hash/v2/customer_groups/1 \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
Deletes a *Customer Group*. **Notes** - All existing customers are unassigned from the group when it is deleted. - The default rate limit for this endpoint is 40 concurrent requests.
Was this page helpful?
Previous

Update Customer Group

Next

Get Count of Customer Groups

Built with

Deletes a Customer Group.

Notes

  • All existing customers are unassigned from the group when it is deleted.
  • The default rate limit for this endpoint is 40 concurrent requests.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Customersmodifystore_v2_customers
Customersread-onlystore_v2_customers_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

customer_group_idintegerRequired
The ID of the customer group.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Response

No content. Request was successful but produced no response.

Errors

400
Bad Request Error